Subject: Re: bug#73016: Potential inclusion of kbd-mode, part of kmonad, in Non-GNU ELPA

From: Philip Kaludercic <[email-masked]>
Date: Sat, 14 Sep 2024 10:10:13 +0000

Tony Zorman <[email-masked]> writes:

> On Thu, Sep 05 2024 09:53, Philip Kaludercic wrote:
>>>   :type '(repeat string)
>>>   :group 'kbd-highlight)
>>
>> Where is this group defined?  The applies below.
>
> It was the first expression after the ";;;; Custom variables" comment.
> I've moved it up to the other groups.

1+

>>> (defun kbd-mode--kill-demo-process ()
>>>   "Kill demo kmonad process, if possible."
>>>   (when (get-buffer-process "*kmonad*")
>>>     (kill-process "*kmonad*")))
>>
>> There might be a race condition here.
>
> Mh, can you expand on this? I don't think that the *kmonad* buffer is
> created in the vicinity of this code.

I believe I might have misread something, as I recall thinking about a
`while'-loop.

> Tony

-- 
	Philip Kaludercic on siskin